Get your proxy wallet
curl --request GET \
--url https://api.sx.bet/user/proxy \
--header 'x-sx-api-key: <api-key>'import requests
url = "https://api.sx.bet/user/proxy"
headers = {"x-sx-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sx-api-key': '<api-key>'}};
fetch('https://api.sx.bet/user/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"obv3ProxyWalletAddress": "0x4361123dbdc1D812fdf7D27045aF358C9C8AA70A",
"deployed": true,
"multisigSafeAddress": null
}
}{
"message": "BAD_AUTH",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Service Unavailable",
"statusCode": 503
}Wallet & Funding
Get your proxy wallet
Get the proxy wallet address for the authenticated account.
GET
/
user
/
proxy
Get your proxy wallet
GET /user/proxy returns the proxy wallet for the authenticated account.
deployed is the only field that reports existence. The proxy address is a deterministic CREATE2
derivation from your user address, so it is returned whether or not the contract exists. deployed indicates if it has been successfully deployed or not.Last modified on August 11, 2026
⌘I